NotificationsResource
Reads Slim notifications and groups the alarm, out-of-bed, medical and note routes.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class NotificationsResourceReads Slim notifications and groups the alarm, out-of-bed, medical and note routes. Get it from SlimResource.notifications().
Methods
alarms
public AlarmsResource alarms()Returns the alarm routes.
Returns: the alarm routes
outOfBed
public OutOfBedResource outOfBed()Returns the out-of-bed routes.
Returns: the out-of-bed routes
medical
public MedicalNotificationsResource medical()Returns the medical-notification routes.
Returns: the medical-notification routes
notes
public NotificationNotesResource notes()Returns the notification-note routes.
Returns: the notification-note routes
list
public JsonNode list(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionLists notifications (GET /v1/slim/notifications).
Parameters:
query: query parameters, sent as givenoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
recent
public JsonNode recent(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionLists recent notifications (GET /v1/slim/notifications/recent).
Parameters:
query: query parameters, sent as givenoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on